Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`internet`.`default``

module documentation
(source)

The most suitable default reactor for the current platform.

Depending on a specific application's needs, some other reactor may in fact be better.

Variable | `install` | Undocumented
Function | `_getInstallFunction` | Return a function to install the reactor most suited for the given platform.

install = (source)

Undocumented

def _getInstallFunction(platform): (source)

Return a function to install the reactor most suited for the given platform.

Parameters
platform:`twisted.python.runtime.Platform` | The platform for which to select a reactor.
Returns
A zero-argument callable which will install the selected reactor.